<?php

namespace App\Models;

use App\Models\Traits\BelongsToCategory;
use App\Models\Traits\HasCovers;

class Video extends Model
{

    use HasCovers,
        BelongsToCategory;

    public function getlinkUrlAttribute(): string
    {
        return $this->parseImageUrl($this->link);
    }

}
